# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.472   -> 1.473  
#	drivers/usb/core/usb.c	1.71    -> 1.72   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/25	greg@kroah.com	1.473
# [PATCH] USB: fixed the interface names to have the proper bus id.
# 
# Thanks to David Brownell for pointing out where my previous patch was wrong.
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Fri Jul 26 13:48:57 2002
+++ b/drivers/usb/core/usb.c	Fri Jul 26 13:48:57 2002
@@ -947,8 +947,8 @@
 		/* register this interface with driverfs */
 		interface->dev.parent = &dev->dev;
 		interface->dev.bus = &usb_bus_type;
-		sprintf (&interface->dev.bus_id[0], "%s:%d",
-			 dev->devpath,
+		sprintf (&interface->dev.bus_id[0], "%s-%s:%d",
+			 dev->bus->bus_name, dev->devpath,
 			 interface->altsetting->bInterfaceNumber);
 		if (!desc->iInterface
 				|| usb_string (dev, desc->iInterface,
